×

Discussion Board

Results 1 to 12 of 12
  1. #1
    Registered User
    Join Date
    Jun 2005
    Posts
    8

    Question MIDlet-Version number NOT match, always 1.01

    Hello,
    When I install or upgrade a application on Nokia N80, the application's version number is always 1.01. What can I do for that? Your kindly help or advice is appreciate!

  2. #2
    Registered User
    Join Date
    Dec 2005
    Location
    Brazil
    Posts
    1,884

    Re: MIDlet-Version number NOT match, always 1.01

    Hi laxcrab,

    "When I install or upgrade a application on Nokia N80, the application's version number is always 1.01."
    May you elaborate more please, it is not clear what you are talking about. Are you updating your MIDlet-Version accordingly? Have you tried to remove it before installing again just to see what happens?

    Kind regards,
    Juarez Alvares Barbosa Junior - Brazil

  3. #3
    Registered User
    Join Date
    Jun 2005
    Posts
    8

    Re: MIDlet-Version number NOT match, always 1.01

    Quote Originally Posted by juarezjunior
    Hi laxcrab,

    May you elaborate more please, it is not clear what you are talking about. Are you updating your MIDlet-Version accordingly? Have you tried to remove it before installing again just to see what happens?

    Kind regards,
    Thanks for your quick response.
    For example: I transfer the application files to N80 via bluetooth, (include jad and jar file), then N80 will notify me there are two messages had been received. I click the jad file to install the application, then N80 will tell me the version info about this application, include previous version and current version. the strange thing is that the old version and new version are both 1.01, but in fact, the old version is 1.3.5 and new version is 1.3.6. (the "MIDlet-Version" in jad file is "1.3.6")

  4. #4
    Registered User
    Join Date
    Apr 2003
    Posts
    62

    Re: MIDlet-Version number NOT match, always 1.01

    Quote Originally Posted by laxcrab
    Thanks for your quick response.
    For example: I transfer the application files to N80 via bluetooth, (include jad and jar file), then N80 will notify me there are two messages had been received. I click the jad file to install the application, then N80 will tell me the version info about this application, include previous version and current version. the strange thing is that the old version and new version are both 1.01, but in fact, the old version is 1.3.5 and new version is 1.3.6. (the "MIDlet-Version" in jad file is "1.3.6")
    Make sure that you have deleted all old (version 1.01 files) JAD and JAR files from your inbox. When you open the JAD file, and the installer tries to find the corresponding JAR file from your inbox, it might happen that it finds some old JAR file with the same name.

  5. #5
    Registered User
    Join Date
    Oct 2006
    Posts
    30

    Re: MIDlet-Version number NOT match, always 1.01

    Delete the older version and try installing by selecting the JAR and not the jad..... its not much of a necessity to install a midlet from jad in Nokias unless you have your own values in the jad.....
    Sreekanth Bellur,
    Symbian C++ Developer,
    Ravensoft Ltd.,
    Manchester,
    United Kingdom

  6. #6
    Registered User
    Join Date
    Jun 2005
    Posts
    8

    Re: MIDlet-Version number NOT match, always 1.01

    Quote Originally Posted by knorring
    Make sure that you have deleted all old (version 1.01 files) JAD and JAR files from your inbox. .....
    Quote Originally Posted by sreekanthbellur
    Delete the older version and try installing by selecting the JAR and not the jad.....
    Thanks knorring and sreekanthbellur!

    Actually, there is just one JAD and one JAR file in the inbox. In fact, when I select a signed JAD to install, N80 always tell me the midlet version is 1.01;

    and when I select an un-signed JAD file or just select the JAR file to install, N80 always tell me the midlet version is 1.00. Whatever "MIDlet-Version" property in JAD file or in MANIFEST.MF of JAR file.

    thanks again!

  7. #7
    Registered User
    Join Date
    Jun 2005
    Posts
    8

    Re: MIDlet-Version number NOT match, always 1.01

    not anyone else has encountered such phenomenon? any suggestion is appreciate.

  8. #8
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,430

    Re: MIDlet-Version number NOT match, always 1.01

    Is this problem only happening in N80, have you tried installing your application in a different phone? Have you tried installing some other sample applications and tried to update its version?
    If still problem persists, and as a final way, try with reseting to default factory settings.

    Regards
    Gopal

    __________________
    MobiQuil.com
    An initiative by Developers for Developers.
    http://www.mobiquil.com - Alpha - Launched.

  9. #9
    Regular Contributor
    Join Date
    Mar 2006
    Posts
    61

    Re: MIDlet-Version number NOT match, always 1.01

    Hi,
    I could not reproduce the problem and I got the right midlet version on my N80 (V4.0632.0.38). What sw version you have on your N80.

    Best Regards
    Ali

  10. #10
    Registered User
    Join Date
    Sep 2006
    Posts
    13

    Re: MIDlet-Version number NOT match, always 1.01

    Are following use cases possible?
    1)
    -I have uploaded new version of my application to internet (both jad and jar files)
    -User has older version of the software and tries to install new version
    -> Should not be a problem?

    2)
    -User has the latest version on the phone and tries to install the same version from internet
    -Version mentioned in jad files (both in phone and in internet) are same
    -> Application installer notices this and does not proceed with installation procedure?

  11. #11
    Registered User
    Join Date
    Dec 2005
    Location
    Brazil
    Posts
    1,884

    Re: MIDlet-Version number NOT match, always 1.01

    Hi kolada,

    Yes, both are supported by the AMS/JAM.

    One tip, please create your own thread and do not hijack ones from other guys so that this forum will be always organized and helpful.

    Br,
    Last edited by juarezjunior; 2007-08-03 at 22:29.
    Juarez Alvares Barbosa Junior - Brazil

  12. #12
    Registered User
    Join Date
    Sep 2006
    Posts
    13

    Re: MIDlet-Version number NOT match, always 1.01

    Quote Originally Posted by juarezjunior View Post
    Hi kolada,

    Yes, both are supported by the AMS/JAM.

    One tip, please create your own thread and do not hijack ones from other guys so that this forum will be always organized and helpful.

    Br,
    Hi juarezjunior,

    Thanks for the answers and that hijack tip, won't happen again

Similar Threads

  1. Update midlet version from the midlet itself
    By rahul_sydus in forum Mobile Java Networking & Messaging & Security
    Replies: 4
    Last Post: 2009-09-12, 16:25
  2. Trojan installation onto previous trusted Midlet suite?
    By guillermoTell in forum Mobile Java Networking & Messaging & Security
    Replies: 1
    Last Post: 2007-05-07, 08:40
  3. Accessing the phone's own number from MIDlet
    By roarl in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-03-08, 14:30
  4. Questions about version code in MMS protocol
    By wangzhong in forum General Messaging
    Replies: 1
    Last Post: 2002-11-21, 10:32
  5. Nokia 7650 version number
    By andersnorway in forum Mobile Java General
    Replies: 2
    Last Post: 2002-10-14, 09:51

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •